ApiClientConfiguration configuration = ApiClientConfiguration.getApiConfigWithAppProperties();

S2sHttpClient s2sHttpClient = S2sHttpClientFactory.create(configuration)
ElektroniskAkt elektroniskAkt = new ElektroniskAkt(s2sHttpClient)

DocumentSigner documentSigner = new DocumentSigner(configuration);

Document document = StringToDocumentMapper.stringToDocument(xmlPayload);
documentSigner.sign(document);
String signedXmlPayload = StringToDocumentMapper.documentToString(document)
HttpResponse<String> response = elektroniskAkt.getBilSummariskHent(xmlPayload, messageId, relatesTo)
